Subject: activation link in mail 
Description

In the newest version 0.7.1 I got some problems with the activation link in e-mails.
The error seems to break the page id in the link and results in a 404 Error.
I use TYPO3 4.5.3 without realurl or similar tools.

The older version of FE User Management doesnt have this error.

Here the broken link:
http://www.myurl.de/index.php?id�0&#38;tx_datamintsfeuser_pi1%5b684%5d%5bsubmit%5d=approvalcheck&#38;tx_datamintsfeus
r_pi1%5b684%5d%5buid%5dx&#38;tx_datamintsfeuser_pi1%5b684%5d%5bhash%5d db2e3ed24bb063a787210368c0bb8c

Greetz
Evok

Related issues:
related to TYPO3.Flow - Feature # 1: Use SPL when searching/listing files. Closed

History
#1 - 2011-07-26 17:12 - Dirk Josefiak

Dirk Josefiak wrote:

In the newest version 0.7.1 I got some problems with the activation link in e-mails.
The error seems to break the page id in the link and results in a 404 Error.
I use TYPO3 4.5.3 without realurl or similar tools.

The older version of FE User Management doesnt have this error.

Here the broken link:
http://www.myurl.de/index.php?id�0&#38;tx_datamintsfeuser_pi1%5b684%5d%5bsubmit%5d=approvalcheck&#38;tx_datamintsfeuser_pi1%5b6
4%5d%5buid%5dx&#38;tx_datamintsfeuser_pi1%5b684%5d%5bhash%5d db2e3ed24bb063a787210368c0bb8c

Greetz
Evok

added:
this only throw an error if using HTML mailtype. with register.mailtype = text it works fine for me.

#2 - 2011-07-26 20:37 - Bernhard Baumgartl, datamints GmbH
- Status changed from New to Accepted
Hi,

i already found and solved this problem. :)

It's an encoding problem, sry for that the new version will fix that.

Best Regards
Bernhard Baumgartl

#3 - 2011-07-28 09:27 - Bernhard Baumgartl, datamints GmbH
- Status changed from Accepted to Resolved

Resolved in 0.7.2
